| Flutter macOS Embedder |

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
FlutterWindowRect Struct Reference

`#include <FlutterWindowController.h>`

## Public Member Functions
NSRect | toNSRect () const

## Static Public Member Functions
static FlutterWindowRect | fromNSRect (const NSRect &rect)

## Public Attributes
double | left
double | top
double | width
double | height

## Detailed Description

Definition at line 23 of file FlutterWindowController.h.

## Member Function Documentation

## ◆ fromNSRect()

static FlutterWindowRect FlutterWindowRect::fromNSRect | ( | const NSRect & | rect | ) |
| inline static

Definition at line 29 of file FlutterWindowController.h.

29 {
30 return {
31 rect.origin.x,
32 rect.origin.y,
33 rect.size.width,
34 rect.size.height,
35 };
36 }

References width.

## ◆ toNSRect()

NSRect FlutterWindowRect::toNSRect | ( |  | ) | const
| inline

Definition at line 38 of file FlutterWindowController.h.

38 { return NSMakeRect(left, top, width, height); }
FlutterWindowRect::top
double top
Definition: FlutterWindowController.h:25
FlutterWindowRect::width
double width
Definition: FlutterWindowController.h:26
FlutterWindowRect::left
double left
Definition: FlutterWindowController.h:24
FlutterWindowRect::height
double height
Definition: FlutterWindowController.h:27

## Member Data Documentation

## ◆ height

double FlutterWindowRect::height

Definition at line 27 of file FlutterWindowController.h.

Referenced by flutter::testing::TEST_F().

## ◆ left

double FlutterWindowRect::left

Definition at line 24 of file FlutterWindowController.h.

Referenced by flutter::testing::TEST_F().

## ◆ top

double FlutterWindowRect::top

Definition at line 25 of file FlutterWindowController.h.

Referenced by flutter::testing::TEST_F().

## ◆ width

double FlutterWindowRect::width

Definition at line 26 of file FlutterWindowController.h.

Referenced by fromNSRect(), and flutter::testing::TEST_F().

The documentation for this struct was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterWindowController.h